searchNodes=[{"ref":"NewRelicAddons.html","title":"NewRelicAddons","type":"module","doc":"Builds on top of NewRelic agent for Elixir to provide missing monitoring capabilities. Features NewRelicAddons.Decorators - provides stackable function decoration solution based on battle-proven Decorator library, with sane defaults and more configurability NewRelicAddons.Ecto - provides Ecto introspection with best database monitoring solution that&#39;s possible with current API of the NewRelic library"},{"ref":"NewRelicAddons.Decorators.html","title":"NewRelicAddons.Decorators","type":"module","doc":"Provides easy-to-use stackable decorators for the official New Relic library. Features decorators are stackable with others e.g. from other libraries allows to hide args in event tracer via hide_args option includes transaction tracer with process-based scoping and customizable category name Usage You must first include decorators in your module: use NewRelicAddons.Decorators Then you can start decorating specific functions: @decorate new_relic_event() defp some_long_operation do # ... end @decorate new_relic_event() defp other_long_operation do # ... end ...or the entire module: @decorate_all new_relic_event() # ... ...or if you expect vulnerable function attributes: @decorate new_relic_event(hide_args: true) defp change_password(user, new_password) do # ... end If these functions are called within Phoenix web request processes and you&#39;ve already configured NewRelicPhoenix, then you&#39;re good to go - decorated calls will now appear within your web transactions. If you however want to trace functions from outside of Phoenix flow (e.g. background jobs or any GenServers), you&#39;ll also have to wrap the processing function in a transaction: @decorate new_relic_transaction() defp process do some_long_operation() other_long_operation() end @decorate new_relic_event() defp some_long_operation do # ... end @decorate new_relic_event() defp other_long_operation do # ... end You may also specify a custom category: @decorate new_relic_transaction(&quot;RPC&quot;) defp process_rpc_call(request) do # ... end Keep in mind that the function wrapped in transaction decorator will be called on separate process in order to control the lifecycle of the transaction. The process is spawned via Task.async and awaited upon for infinity - thus not changing the initial behavior. Even though the timeout is set to :infinity, the transaction function should not be long-running or you&#39;ll run into trouble (see NewRelic.start_transaction/2)."},{"ref":"NewRelicAddons.Decorators.html#new_relic_event/0","title":"NewRelicAddons.Decorators.new_relic_event/0","type":"macro","doc":""},{"ref":"NewRelicAddons.Decorators.html#new_relic_event/1","title":"NewRelicAddons.Decorators.new_relic_event/1","type":"macro","doc":""},{"ref":"NewRelicAddons.Decorators.html#new_relic_event/3","title":"NewRelicAddons.Decorators.new_relic_event/3","type":"function","doc":""},{"ref":"NewRelicAddons.Decorators.html#new_relic_transaction/0","title":"NewRelicAddons.Decorators.new_relic_transaction/0","type":"macro","doc":""},{"ref":"NewRelicAddons.Decorators.html#new_relic_transaction/1","title":"NewRelicAddons.Decorators.new_relic_transaction/1","type":"macro","doc":""},{"ref":"NewRelicAddons.Decorators.html#new_relic_transaction/3","title":"NewRelicAddons.Decorators.new_relic_transaction/3","type":"function","doc":""},{"ref":"NewRelicAddons.Ecto.html","title":"NewRelicAddons.Ecto","type":"module","doc":"Provides Ecto instrumentation based on telemetry. Features reports database operations with repo, table and operation name reports database operations with SQL statements visible within transaction traces reports queue &amp; decode events visible next to relevant query events in transaction traces Usage You just need to attach telemetry event handler in application.ex: :telemetry.attach( &quot;my-app-ecto&quot;, [:my_app, :repo, :query], &amp;NewRelicAddons.Ecto.handle_event/4, [] ) Remember to replace the :my_app with your OTP app name and :repo with underscored repo name."}]